Qgis -- not running on leap 15.5

qgis as installed from yast software manager does not run on leap 15.5. See error below:

(base) tom@mydesktop:~> qgis
terminate called after throwing an instance of 'H5::DataSpaceIException'
Aborted (core dumped)
(base) tom@mydesktop:~>

Don’t know what this message means. I tried a reinstall but no change. It did run under 15.4 as I recall a year or so ago.

Build service has rpm versions for tumbleweed, factory zsystems, factory power pc, and factory arm.
Would any of these likely work on leap 15.5?
There is source code listed for tumbleweed on build service . Is this worth trying a compile for leap 15.5?

An experience or ideas? thanks, tom kosvic

https://bugzilla.opensuse.org/show_bug.cgi?id=1212389

Thanks for bug reference. Doesn’t ‘H5::DataSpaceIException’ point to something?
Think I’ll try the compilation with code from the qgis website for the latest and greatest.
tom kosvic

Compilation of source code using latest git code for qgis configured and generated but failed in “make” with a link issue related to library pthreads. Based on search for the error, it could be a cmake issue but in any case it failed and will take some effort to sort out.

Just for info. I have a vm of arch linux. I installed qgis from arch repo on that. It started up and ran fine. I have that to play with while opensuse qgis get sorted out.

thanks, tom kosvic

Not to beat a dead horse here, but qgis installed and ran on my tumbleweed vm. Installed through zypper. Started up fine. Now need to see if it functions properly.

Apparently problem only exists on leap.

tom Kosvic

qgis is starting here on Leap 15.5.

Post your Repo list:
zypper lr -d

As requested:

(base) tom@mydesktop:~> sudo zypper lr -d
[sudo] password for root: 
#  | Alias                                        | Name                            | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                            | Service
---+----------------------------------------------+---------------------------------+---------+-----------+---------+----------+--------+--------------------------------------------------------------------------------+--------
 1 | devel_tools_ide                              | Various IDEs (openSUSE_Factory) | Yes     | (r ) Yes  | No      |   99     | rpm-md | https://download.opensuse.org/repositories/devel:/tools:/ide/openSUSE_Factory/ | 
 2 | download.nvidia.com-$releasever              | nVidia Graphics Drivers         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/leap/15.5                                  | 
 3 | ftp.gwdg.de-openSUSE_Leap_$releasever_1      | packman                         | Yes     | (r ) Yes  | Yes     |   90     | rpm-md | https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.5/            | 
 4 | http-download.opensuse.org-1ca1690e          | oss-update                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.5/oss/                             | 
 5 | http-download.opensuse.org-1f61c7be          | oss                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.5/repo/oss/                  | 
 6 | openSUSE_Leap_${releasever}                  | leap 15.5 -- games              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/games:/tools/15.5/                  | 
 7 | openSUSE_Leap_${releasever}_1                | leap 15.5 -- science            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/science/15.5/                       | 
 8 | openSUSE_Leap_${releasever}_2                | leap 15.5 -- education          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/Education/15.5/                     | 
 9 | openSUSE_Leap_${releasever}_3                | leap 15.5 -- geo                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/Application:/Geo/15.5/              | 
10 | openSUSE_Leap_${releasever}_4                | leap 15.5 -- electronics        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/electronics/15.5/                   | 
11 | openSUSE_Leap_${releasever}_5                | leap 15.5 -- graphics           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/graphics/15.5/                      | 
12 | opensuse-guide.org-openSUSE_Leap_$releasever | Libdvdcss Repository            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.5/                             | 
13 | repo-backports-update                        | backports-update                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/update/leap/15.5/backports/                      | 
14 | repo-non-oss                                 | non-oss                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/distribution/leap/15.5/repo/non-oss/             | 
15 | repo-sle-update                              | sle-update                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/update/leap/15.5/sle/                            | 
16 | repo-update-non-oss                          | non-oss update                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/update/leap/15.5/non-oss/                        | 
(base) tom@mydesktop:~>

I think qgis is in “geo”

qgis in tumbleweed is version 3.32 which runs when installed through zypper.

qgis in leap 15.5 is version 3.18 that does not run for me when installed through zypper.

tom kosvic